> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get settings



## OpenAPI

````yaml get /settings
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /settings:
    get:
      tags:
        - Settings
      operationId: SettingsController_getSettings
      parameters: []
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SettingEntity'
components:
  schemas:
    SettingEntity:
      type: object
      properties:
        id:
          type: number
        access_required:
          type: boolean
        bond_platform_fee:
          format: int64
          type: integer
        bond_referral_reward:
          format: int64
          type: integer
        bond_reward:
          format: int64
          type: integer
        mint_fee:
          format: int64
          type: integer
        swap_lp_fee:
          format: int64
          type: integer
        swap_platform_fee:
          format: int64
          type: integer
        swap_referral_reward:
          format: int64
          type: integer
        last_ckbtc_block:
          type: number
        last_indexed_block:
          type: number
        community_comments_threshold:
          format: int64
          type: integer
        public_comments_threshold:
          format: int64
          type: integer
      required:
        - id
        - access_required
        - bond_platform_fee
        - bond_referral_reward
        - bond_reward
        - mint_fee
        - swap_lp_fee
        - swap_platform_fee
        - swap_referral_reward
        - last_ckbtc_block
        - last_indexed_block
        - community_comments_threshold
        - public_comments_threshold

````